const fs = require("fs");
const path_lib = require("path");

class File {
	constructor({ host, path }) {
		this.onConnect = null;
		this.onDisconnect = null;
		this.onMessage = null;
		this.path = host || path;
		try {
			// create directory if it doesn't exist
			if (!fs.existsSync(this.path)){
				fs.mkdirSync(path_lib.dirname(this.path), {recursive: true})
				// touch the file
				try {
					time = new Date()
					fs.utimesSync(this.path, time, time);
				} catch (err) {
					fs.closeSync(fs.openSync(this.path, 'w'));
				}
			}
		} catch (error) {
			console.error("Unable to create path ", this.path);
			throw error;
		}
	}

	destroy(){
		return;
	}

	connect() {
		if (this.onConnect) this.onConnect();
	}

	disconnect() {
		if (this.onDisconnect) this.onDisconnect();
	}

	send(data) {
		try {
			fs.appendFileSync(this.path, JSON.stringify(data) + "\n", {
				encoding: "utf8"
			});
		} catch (error) {
			console.error(error);
			if (this.onDisconnect) this.onDisconnect(error);
		}
	}
}

module.exports = File;
