const { Serial } = require("syrus4-nodejs");

class Satcom {
	constructor({name}) {
		this.name = name
		this.disable_welcome_message = true
		this.onConnect = null;
		this.onDisconnect = null;
		this.onMessage = null;
		this.active = true
	}

	connect() { if (this.onConnect) this.onConnect(); }
	disconnect() { if (this.onDisconnect) this.onDisconnect(); }

	enable() {
		if (!this.active) {
			console.log("activating destination ", this.name);
			this.active = true;
			this.connect()
		}
	}

	disable() {
		if (this.active) {
			console.log("deactivating destination", this.name);
			this.active = false;
		}
	}

	destroy(){
		return;
	}

	send(data) {
		if (!this.active) return false;
		console.info("satcom:send", data);
		Serial.send(data).catch(console.error)
		return
	}
}

module.exports = Satcom;
