const addExitCallback = require("catch-exit").addExitCallback;
const { destinations } = require("./globals");

// Add exit callback to create clear disconnection in each destination actived
// destinations must exit in the global destinations
addExitCallback(signal => {
	console.log("exiting with signal", signal);
	if (signal !== "exit") {
		try{
			for (const name in destinations) {
				const destination = destinations[name];
				p = destination.client.destroy()
				if (p && p.catch) p.catch(console.error);
			}
		}catch(error){
			console.error("Error exiting", error)
		}
	}
});

// Some of the logs are not appearing, this hack tries to catch all the error and sends them to the error log
process
	.on("warning", console.warn)
	.on("unhandledRejection", (reason, p) => {
		console.error(reason, "Unhandled Rejection at Promise", p);
		process.exit(1)
	})
	.on("uncaughtException", error => {
		console.error("Uncaught Exception thrown", error);
		process.exit(1)
	});
